language: cn
model_unique_abbr: st_teleconnection_mining
version: 1.0
identification:
  docker_image_name: st_teleconnection_mining:1.0
  model_name: 时空遥相关挖掘
  semantic: Spatial-temporal telecorrelation mining
  description: 时空遥相关模式挖掘旨在发现大研究范围下具有宽松时空约束、显著频繁共同发生的地理时空对象集合，例如北大西洋异常低温事件和玻利维亚北部洪水事件之间的远距离关联。
  category_application: 描述型
  category_data:
    - 时空事件数据分析
  keywords:
    - 时空遥相关
    - SNN聚类

parameter_info:
  parameters:
    - arg_name: data_path_1
      is_single_en_dash: false
      param_type: input_data
      name: 事件数据文件1
      description: "待处理的数据以CSV格式存储，每行代表一个事件，每列代表一个时间点，无列名。"
      data_type: csv
      data_semantic: data_file1
    - arg_name: data_path_2
      is_single_en_dash: false
      param_type: input_data
      name: 事件数据文件2
      description: "待处理的数据以CSV格式存储，每行代表一个事件，每列代表一个时间点，无列名。"
      data_type: csv
      data_semantic: data_file2

    - arg_name: sub_events_path
      is_single_en_dash: false
      param_type: input_data
      name: 子事件数据文件
      description: "csv格式。处理维度为（1，m）的数据，每列代表一个时间节点，存储该事件节点上发生的事件，如果某个时间节点上没有发生任何事件，则用0填充。"
      data_type: csv
      data_semantic: sub_events_file

    - arg_name: k
      is_single_en_dash: false
      param_type: param
      name: 计算的最近邻点数
      description: "SNN 聚类中要计算的最近邻点数，int类型，默认为20"
      is_required: true
      data_type: int
      data_semantic: calculate near point num k
      specification: #选填。参数规格
        default: 20 #对于visible=false的参数必填，其他情况选填。默认值。

    - arg_name: eps
      is_single_en_dash: false
      param_type: param
      name: 邻域半径
      description: "在SNN群集中连接两个点所需的最小共享点数，int类型，默认为4"
      is_required: true
      data_type: int
      data_semantic: neighborhood radius
      specification: #选填。参数规格
        default: 4 #对于visible=false的参数必填，其他情况选填。默认值。

    - arg_name: min_pts
      is_single_en_dash: false
      param_type: param
      name: 最小邻近点数
      description: "将点视为SNN聚类中的核心点所需的最小连接点数，int类型，默认为3"
      is_required: true
      data_type: int
      data_semantic: minimum number of near points
      specification: #选填。参数规格
        default: 3 #对于visible=false的参数必填，其他情况选填。默认值。


    - arg_name: n_cluster
      is_single_en_dash: false
      param_type: param
      name: 聚类中心数目
      description: "SNN聚类中的聚类数，int类型，默认为5"
      is_required: true
      data_type: int
      data_semantic: number of cluster center
      specification: #选填。参数规格
        default: 5 #对于visible=false的参数必填，其他情况选填。默认值。

    - arg_name: window_size
      is_single_en_dash: false
      param_type: param
      name: 窗口大小
      description: "事件影响的时间限制，int类型，默认为12"
      is_required: true
      data_type: int
      data_semantic: window size
      specification: #选填。参数规格
        default: 12 #对于visible=false的参数必填，其他情况选填。默认值。

    - arg_name: min_sup
      is_single_en_dash: false
      param_type: param
      name: 最小发生次数
      description: "频繁事件的最小发生次数，int类型，默认为3"
      is_required: true
      data_type: int
      data_semantic: minimum number of occurrence
      specification: #选填。参数规格
        default: 3 #对于visible=false的参数必填，其他情况选填。默认值。

    - arg_name: conf_threshold
      is_single_en_dash: false
      param_type: param
      name: 最小置信度
      description: "输出关联规则的最小置信度，float类型，默认为0.6"
      is_required: true
      data_type: float
      data_semantic: minimum confidence
      specification: #选填。参数规格
        default: 0.6 #对于visible=false的参数必填，其他情况选填。默认值。

    - arg_name: rule_filtering
      is_single_en_dash: false
      param_type: param
      name: 事件限制
      description: "输出关联规则的前置事件限制，如 a , 输入两个参数时，使用英文逗号分割，如 a,b"
      is_required: true
      data_type: str
      data_semantic: event limitation


    - arg_name: output
      is_single_en_dash: false
      param_type: output_data
      name: 时空遥相关挖掘结果
      description: "带有Episode,Frequency,Confidence的遥相关挖掘结果，结果保存为json格式的文件。"
      data_type: json
      data_semantic: teleconnection mining result


application:
  domain: 时空遥相关挖掘
  objective: 这种算法适用于许多遥相关应用，能够发现时空数据之间的遥相关模式。
  dimension:
  spatial_resolution:
  spatial_reference:
  mechanism:

operation:
  usage: 该算法需要11个参数，数据列表(data_path_list)，子事件路径(sub_events_path)，k值(k)，邻域半径(eps)，
                          最小邻近点数(min_pts)，聚类中心数目(n_cluster)，窗口大小(window_size)，最小发生次数(min_sup)，
                          最小置信度(conf_threshold)，事件限制(rule_filtering)，时空遥相关挖掘结果(output)
  exec_example:
    - docker run -v $(pwd):/data st_teleconnection_mining:1.0 --data_path_1 ../data/pre_test.csv --data_path_2 ../data/tem.csv --sub_events_path ../data/SOI_test.csv --output /data/output.json
    - docker run -v $(pwd):/data st_teleconnection_mining:1.0 --data_path_1 ../data/pre_test.csv --data_path_2 ../data/tem.csv --sub_events_path ../data/SOI_test.csv --k 21 --output /data/output.json
  output_display:
        - "得到带有Episode,Frequency,Confidence的遥相关挖掘的文本结果，可以不用可视化"
technique:
  language:
    - Python
  os:
    - Linux
    - Windows
source:
  maintainer:  Wenhao Chen
  organization: Central South University
  contact: wenhaochen@csu.edu.cn
  repository:
  integrated_softwares:
    - name: Numpy
      version: 1.24.3
      license:
  references:
    - "Lin, F., Jin, X., Cheng, H., et al 2007. Discovery of teleconnections using data mining technologies in global climate datasets. Data Science Journal, 6: S749–S755."
